| <large>libXpertMassCore and libXpertMassGui Developer Documentation</large>

- libXpertMassCore
- HighResPeakPickerParameters

# MsXpS::libXpertMassCore::Processing::HighResPeakPickerParameters Struct

struct MsXpS::libXpertMassCore::Processing::HighResPeakPickerParameters

Provides parameters for the HighResPeakPicker peak picking feature. More...

Header: | `#include <MsXpS/libXpertMassCore/HighResPeakPicker.hpp>`

- List of all members, including inherited members
- HighResPeakPickerParameters is part of libXpertMassCore Data processing.

## Public Functions

| HighResPeakPickerParameters()
| HighResPeakPickerParameters(const MsXpS::libXpertMassCore::Processing::HighResPeakPickerParameters &other)
QString | toString() const
MsXpS::libXpertMassCore::Processing::HighResPeakPickerParameters & | operator=(const MsXpS::libXpertMassCore::Processing::HighResPeakPickerParameters &other)

## Public Variables

double | minimumIntensity
qsizetype | missingPeakCount
double | signalToNoise

## Detailed Description

## Member Function Documentation

### HighResPeakPickerParameters::HighResPeakPickerParameters()

Constructs a HighResPeakPickerParameters instance using defaults for members.

### HighResPeakPickerParameters::HighResPeakPickerParameters(const MsXpS::libXpertMassCore::Processing::HighResPeakPickerParameters &other)

Constructs a HighResPeakPickerParameters instance using other as a template.

### QString HighResPeakPickerParameters::toString() const

Crafts a string documenting this instance and returns it.

### MsXpS::libXpertMassCore::Processing::HighResPeakPickerParameters &HighResPeakPickerParameters::operator=(const MsXpS::libXpertMassCore::Processing::HighResPeakPickerParameters &other)

Assigns other to this instance and returns a reference to this instance.

## Member Variable Documentation

### double HighResPeakPickerParameters::minimumIntensity

Skip any data point from the input mass spectrum that has an intensity below this value.

### qsizetype HighResPeakPickerParameters::missingPeakCount

Number of actual peaks admitted to be absent from the spline model.

### double HighResPeakPickerParameters::signalToNoise

Signal to noise ratio above which the peak picking process is aborted.

This value is used to filter centroids on the basis of the signal to noise estimation computed by LocalSignalToNoiseEstimator.

Setting this value to 0 removes the estimation of the signal to noise entirely.